OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.FramebufferMultisample

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTFramebufferMultisample :: MonadIO m => m Bool
- gl_EXT_framebuffer_multisample :: Bool
- gl_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_EXT :: GLenum
- gl_MAX_SAMPLES_EXT :: GLenum
- gl_RENDERBUFFER_SAMPLES_EXT :: GLenum
- glRenderbufferStorageMultisampleEXT :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLsizei -> GLsizei -> m ()

# Extension Support

glGetEXTFramebufferMultisample :: MonadIO m => m Bool

Is the EXT_framebuffer_multisample extension supported?

gl_EXT_framebuffer_multisample :: Bool

Is the EXT_framebuffer_multisample extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTFramebufferMultisample` in those cases instead.

# Enums

gl_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_EXT :: GLenum

gl_MAX_SAMPLES_EXT :: GLenum

gl_RENDERBUFFER_SAMPLES_EXT :: GLenum

# Functions

glRenderbufferStorageMultisampleEXT

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLsizei | `samples`.
-> GLenum | `internalformat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

This command is an alias for `glRenderbufferStorageMultisample`.